<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-reverse-engineering
SYSTEM "http://hibernate.sourceforge.net/hibernate-reverse-engineering-3.0.dtd" >
<!-- Full documentation on what goes into this file here: https://docs.jboss.org/tools/latest/en/hibernatetools/html/reverseengineering.html -->
<hibernate-reverse-engineering>

    <table-filter match-name="CHANGELOG" exclude="true"/>
    
    <table catalog="aidpad" name="roles" class="com.aidpad.persistence.entities.RoleEntity"/>
    
    <table catalog="aidpad" name="users" class="com.aidpad.persistence.entities.UserEntity"/>
    
    <table catalog="aidpad" name="user_x_roles" class="com.aidpad.persistence.entities.UserRoleEntity">
    	<foreign-key constraint-name="users_roles_FK_user">
    		<many-to-one property="user"/>
    		<set property="roles"/>
    	</foreign-key>
    	<foreign-key constraint-name="users_roles_FK_role">
    		<many-to-one property="role"/>
    		<set property="users"/>
    	</foreign-key>
    </table>
    
    <table catalog="aidpad" name="person_details" class="com.aidpad.persistence.entities.PersonDetailsEntity">
		<foreign-key constraint-name="person_details_FK">
	 		<one-to-one property="user"/>
	 		<inverse-one-to-one exclude="false" property="personDetails"/>
	 	</foreign-key>
    </table>
    
    <table catalog="aidpad" name="group_member_details" class="com.aidpad.persistence.entities.GroupMemberDetailsEntity">
    	<foreign-key constraint-name="group_details_FK">
    		<many-to-one property="user"/>
    		<set property="groupMembers"/>
    	</foreign-key>
    </table>
    
    <table catalog="aidpad" name="organization_details" class="com.aidpad.persistence.entities.OrganizationDetailsEntity">
		<foreign-key constraint-name="organization_details_FK">
	 		<one-to-one property="user"/>
	 		<inverse-one-to-one exclude="false" property="organizationDetails"/> 
	 	</foreign-key>
    </table>
    
</hibernate-reverse-engineering>
